export class GameOverState extends Phaser.State {
    preload() {
        console.log('Game over...', this.game);
        this.game.plant.destroy();
        this.game.clouds.destroy();
        this.game.nutrients.destroy();
        var rect = new Phaser.Rectangle(0, 0, this.game.width, this.game.height);

        var gameOverText = `Game over!\n\nYour plant lived for ${this.game.stats.day} days\n\nEnergy score: ${this.game.stats.energy}`;

        this.game.add.text(this.game.width / 2 - 200, 50, gameOverText, {
            font: '32px Arial',
            fill: '#005713',
            align: 'center'
        });

        this.game.add.button(this.game.width / 2 - 128, 300, 'tweet_score', this.tweet, this, 1, 0, 2);
        this.game.add.button(this.game.width / 2 - 128, 384, 'start_game', this.restart, this, 1, 0, 2);
        ga('send', 'event', 'LD29', `Energy: ${this.game.stats.energy}. Days: ${this.game.stats.day}`);
    }

    tweet() {
        var text = encodeURIComponent(`My plant lived for ${this.game.stats.day} days and got an energy score of ${this.game.stats.energy}. Can you beat me? #LD48`);
        window.open(`https://twitter.com/share?text=${text}&via=lindekleiv`);
        ga('send', 'event', 'LD29', 'Tweet');
    }

    restart() {
        window.location = '?autostart=true';
    }

}

