export class PreloadState extends Phaser.State {
    preload() {
        var loadingText = this.game.add.text(this.game.width / 2 - 100, 65, 'Loading...', {
            font: '32px Arial',
            fill: '#005713',
            align: 'center'
        });

        console.log('Loading...', this.game);

        this.game.stage.backgroundColor = 0x8ADDFF;

        // Other graphics
        this.game.load.image('title_screen', 'img/title_screen.png');

        // Textures
        this.game.load.image('dirt', 'img/dirt.png');
        this.game.load.image('grass', 'img/grass.png');
        this.game.load.image('clouds', 'img/clouds.png');
        this.game.load.image('nutrients', 'img/nutrients.png');
        this.game.load.image('leaf', 'img/leaf.png');

        // Buttons
        this.game.load.spritesheet('grow_stem', 'img/buttons/grow_stem.png', 256, 64);
        this.game.load.spritesheet('grow_leaf', 'img/buttons/grow_leaf.png', 256, 64);
        this.game.load.spritesheet('start_game', 'img/buttons/start_game.png', 256, 64);
        this.game.load.spritesheet('tweet_score', 'img/buttons/tweet_score.png', 256, 64);

        // Sounds
        this.game.load.audio('error', 'sound/error.ogg', true);
        this.game.load.audio('build', 'sound/build.ogg', true);
        this.game.load.audio('music', 'sound/music.ogg', true);

        var finished = 0;
        this.load.onFileComplete.add(function(){
            finished++;
            loadingText.setText(`Loading ${finished}/13`)
        }, this);
    }

    create() {
        this.game.state.start('splash');
    }
}

