export class SplashState extends Phaser.State {
    preload() {
        if (window.location.href.indexOf('autostart') != -1) {
            var music = this.game.add.audio('music');
            music.loop = true;
            music.play();
            this.game.state.start('game');
        }

        console.log('Splash...', this.game);

    }

    create() {
        var music = this.game.add.audio('music');
        music.loop = true;
        music.play();

        this.game.add.sprite(this.game.width / 2 - 310, 0, 'title_screen');
        this.game.add.button(this.game.width / 2 - 128, 190, 'start_game', this.startGame, this, 1, 0, 2);

        this.addInstructions();
    }

    startGame() {
        this.game.state.start('game');
    }

    addInstructions() {
        var instructions = `How to play:
        - Grow your plant and harvest energy from the sun.
        - Extend your roots to get more water.
        - Leaves are expensive, but more leaves will give you more energy.
        - Try to survive for as long as possible.

About the game:
        "Root cause" was made by Olav Lindekleiv (@lindekleiv on Twitter)
        in 48 hours for Ludum Dare 29. Theme: Beneath the surface

Software/libraries used:
        Phaser.js, Traceur.js, WebStorm, GIMP, LMMS, Bfxr.net
        `;
        this.game.add.text(this.game.width / 2 - 275, 475, instructions, {
            font: '16px Arial',
            fill: '#005713'
        })
    }
}

